// 编写一个函数，用于判断一个字符串是否为回文字符串，并返回结果。
#include <iostream>
#include <cstring>

using namespace std;

bool isPalindrome(const char *str) // const 有只读的含义, 不会修改 str 指向的字符串
{
    int len = strlen(str);
    int i = 0, j = len - 1;
    while (i < j)
    {
        if (str[i] != str[j])
            return false;
        i++;
        j--;
    }

    return true;
}

int main()
{
    char str[100];
    cout << "请输入一个字符串：";
    cin >> str;

    if (isPalindrome(str))
        cout << str << " 是回文字符串" << endl;
    else
        cout << str << " 不是回文字符串" << endl;

    return 0;
}